process.chdir(__dirname);

const fs = require('fs');

require('komodo-sdk/api-server');
const pullgw = require('komodo-sdk/gateway/pull');
const adviceServer = require('komodo-sdk/gateway/advice-push-server');
const sdNotify = require('komodo-sdk/sd-notify');
const partner = require('./lib/partner');

pullgw.setPartner(partner);
adviceServer.setPartner(partner);

sdNotify();
fs.writeFileSync('pid.txt', process.pid.toString());
